--- Makefile	Thu Nov 11 20:05:15 2004
+++ Makefile	Thu Nov 11 21:15:53 2004
@@ -44,7 +44,10 @@
 			--with-geoip-inc=${LOCALBASE}/include \
 			--with-png=${LOCALBASE}/lib \
 			--with-png-inc=${LOCALBASE}/include \
-			--with-language=english
+
+.if defined(GEOLIZER_LANG)
+CONFIGURE_ARGS+=        --with-language=${GEOLIZER_LANG}
+.endif
 
 CFLAGS+=	-DLINKLIST_MAX_STRING=256
 MAN1=		${PKGNAMEPREFIX}webalizer.1
@@ -55,6 +58,12 @@
 PLIST_SUB+=	PKGNAMEPREFIX=${PKGNAMEPREFIX}
 
 pre-configure:
+.if !defined(GEOLIZER_LANG)
+	@${ECHO_MSG} "You can customize the language by typing"
+	@${ECHO_MSG} "       make GEOLIZER_LANG=<lang>"
+	@${ECHO_MSG} "where <lang> is one of:"
+	@${ECHO_MSG} ${SUPP_LANG}
+.endif
 	@${MV} ${WRKSRC}/webalizer.1 ${WRKSRC}/webalizer.1.sed
 	${SED} -e "s=/etc=${PREFIX}/etc=" \
 		${WRKSRC}/webalizer.1.sed > ${WRKSRC}/webalizer.1
